CVE-1999-1078
CVSS7.5
发布时间 :1999-07-29 00:00:00
修订时间 :2008-09-05 16:18:40
NMCOS    

[原文]WS_FTP Pro 6.0 uses weak encryption for passwords in its initialization files, which allows remote attackers to easily decrypt the passwords and gain privileges.


[CNNVD]WS_FTP配置文件ws_ftp.ini文件口令弱加密漏洞(CNNVD-199907-033)

        
        WS_FTP是一个应用广泛的FTP客户端软件,由Ipswitch分发维护。
        WS_FTP的某些版本存在问题会将FTP用户口令泄漏。
        WS_FTP的Pro和LE版本都允许将用户口令保存到站点配置文件ws_ftp.ini中。其中的口令虽然是经过加密的,但是加密强度很弱,很容易被破解。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-1078
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-1078
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199907-033
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/547
(UNKNOWN)  BID  547
http://www.ntbugtraq.com/default.asp?pid=36&sid=1&A2=ind9907&L=ntbugtraq&D=0&P=10370&F=P
(VENDOR_ADVISORY)  NTBUGTRAQ  19990729 WS_FTP Pro 6.0 Weak Password Encryption Vulnerability

- 漏洞信息

WS_FTP配置文件ws_ftp.ini文件口令弱加密漏洞
高危 设计错误
1999-07-29 00:00:00 2006-09-22 00:00:00
本地  
        
        WS_FTP是一个应用广泛的FTP客户端软件,由Ipswitch分发维护。
        WS_FTP的某些版本存在问题会将FTP用户口令泄漏。
        WS_FTP的Pro和LE版本都允许将用户口令保存到站点配置文件ws_ftp.ini中。其中的口令虽然是经过加密的,但是加密强度很弱,很容易被破解。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 每次上传完文件后删除ws_ftp.ini。
        厂商补丁:
        Ipswitch
        --------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        
        http://www.ipswitch.com/

- 漏洞信息

10356
WS_FTP Pro Client Weak Password Encryption

- 漏洞描述

- 时间线

1999-07-29 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

WS_FTP Weak Stored Password Encryption Vulnerability
Design Error 547
No Yes
1999-07-29 12:00:00 2009-07-11 12:56:00
Vulnerability discovered and posted to NTBugtraq July 29, 1999 by Bernardo Quintero of Hispasec <bernardo@hispasec.com>

- 受影响的程序版本

Ipswitch WS_FTP Pro 6.0
- Microsoft Windows 3.1
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
Ipswitch WS_FTP LE 5.0
- Microsoft Windows 3.1
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
Ipswitch WS_FTP LE 4.5
- Microsoft Windows 3.1
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
- Microsoft Windows NT 3.5

- 漏洞讨论

WS_FTP, both Pro and LE versions,. allows passwords to be saved as part of a saved site configuration. These passwords are encrypted and stored in .ini files. The encryption method is weak and can be broken.

- 漏洞利用

This page contains Javascript that will decrypt an encrypted password taken out of the .ini file.
http://www.hispasec.com/wsftp.asp

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站